# $Revision: 1.46 $, $Date: 2009/11/04 11:17:41 $
#
# Conditional build:
%bcond_without	tests	# don't perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	IO
%define		pnam	Zlib
Summary:	IO::Zlib Perl module - IO:: style interface to Compress::Zlib
Summary(pl.UTF-8):	Moduł Perla IO::Zlib - interfejs w stylu IO:: do modułu Compress::Zlib
Name:		perl-IO-Zlib
Version:	1.10
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/IO/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	078a9387009b928068f70759e61bd08f
URL:		http://search.cpan.org/dist/IO-Zlib/
BuildRequires:	perl(Compress::Zlib)
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IO::Zlib provides an IO:: style interface to Compress::Zlib and hence
to gzip/zlib compressed files. It provides many of the same methods as
the IO::Handle interface.

%description -l pl.UTF-8
Moduł IO::Zlib udostępnia interfejs w stylu IO:: do modułu
Compress::Zlib, a w ten sposób do plików skompresowanych gzipem lub
biblioteką zlib. Udostępnia wiele metod takich samych jak interfejs
IO::Handle.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/IO/Zlib.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-IO-Zlib.spec,v $
Revision 1.46  2009/11/04 11:17:41  sls
- BR: perl(Compress::Zlib) (provided f.e. by perl-modules >= 5.10)

Revision 1.45  2009/11/03 23:42:13  sls
- rm BR: perl-IO-Compress

Revision 1.44  2009/09/15 09:43:06  amateja
- updated to 1.10

Revision 1.43  2008/12/15 20:38:40  qboosh
- generic URL

Revision 1.42  2008/12/14 12:20:51  agaran
- up to 1.09

Revision 1.41  2008/07/27 22:22:46  arekm
- release 2

Revision 1.40  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.39  2007/02/12 00:49:36  baggins
- converted to UTF-8

Revision 1.38  2004/11/03 22:30:27  paladine
- formatting

Revision 1.37  2004/09/07 14:31:41  adamg
- updated to 1.04

Revision 1.36  2004/08/26 06:04:31  adamg
- updated to 1.03

Revision 1.35  2004/05/07 00:41:49  ankry
- rel. 9

Revision 1.34  2004/05/06 18:43:12  ankry
- fixed perl-devel BR

Revision 1.33  2004/04/22 12:52:34  ankry
- license fixes & unification

Revision 1.32  2003/11/01 10:26:25  qboosh
- added tests

Revision 1.31  2003/09/09 10:24:38  ankry
- spaces -> tab

Revision 1.30  2003/08/12 22:32:51  ankry
- cosmetics

Revision 1.29  2003/05/28 13:00:43  malekith
- massive attack: source-md5

Revision 1.28  2003/05/25 06:24:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.26  2003/03/01 19:37:17  radek
- should be ready for perl-5.8.0; release++

Revision 1.25  2003/02/25 00:39:27  radek
- use the __perl macro

Revision 1.24  2003/02/18 15:33:36  ankry
- massive attack: change CPAN URLs

Revision 1.23  2002/08/15 17:51:58  qboosh
- pl description, release++

Revision 1.22  2002/08/11 19:36:48  radek
- release up

Revision 1.21  2002/08/11 19:32:51  radek
- (automatic) provided informative description

Revision 1.20  2002/07/10 08:47:44  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.19  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/02/25 10:32:26  depesz
cleanup; revision++

Revision 1.17  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/13 14:17:44  depesz
automatic: Source location unfied, Relase Up

Revision 1.15  2002/02/10 15:27:49  depesz
adapterized

Revision 1.14  2002/01/18 02:14:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.12  2001/04/17 12:11:12  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:07  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/03/29 07:51:43  mis
- autoupdated to 1.01

Revision 1.9  2001/02/19 10:27:09  mis
- updated (by autoup) to 1.00

Revision 1.8  2001/01/08 22:18:39  kloczek
- release 4: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:47  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:37  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/20 21:58:00  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:54  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 19:27:21  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 23:49:20  pius
- initial release
